Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.component
Class ForgeComponent

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.base.Provisionable
              com.endeca.soleng.eac.toolkit.component.Component
                  com.endeca.soleng.eac.toolkit.component.BatchComponent
                      com.endeca.soleng.eac.toolkit.component.ForgeComponent

    public class ForgeComponent

extends com.endeca.soleng.eac.toolkit.component.BatchComponent

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`ForgeComponent()`

Method Summary
`void` | `archiveCumulativePartials()`
`void` | `archiveState()`
`com.endeca.eac.client.ComponentType` | `buildEacStub()`
`void` | `cleanCumulativePartials()`
`void` | `cleanDirs()`
`com.endeca.soleng.eac.toolkit.utility.CopyUtility` | `createConfigCopyUtility()`
`com.endeca.soleng.eac.toolkit.utility.CopyUtility` | `createIncomingDataCopyUtility()`
`void` | `fetchPartialsToCumulativeDir()`
`java.util.List<java.lang.String>` | `getArgs()`
`java.lang.String` | `getCaFile()`
`java.lang.String` | `getCertFile()`
`java.lang.String` | `getCipher()`
`void` | `getConfig()` Retrieves pipeline and config for Forge to process.
`java.lang.String` | `getConfigDir()`
`java.lang.String` | `getConfigHost()`
`java.lang.String` | `getCumulativePartialsDir()`
`void` | `getData()` Retrieves the application's data and dimensions files to Forge's input directory for processing.
`java.lang.String` | `getForgeGroup()`
`void` | `getIncomingData()` Retrieves incoming data for Forge to process.
`java.lang.String` | `getIncomingDataDir()`
`java.lang.String` | `getIncomingDataFileName()`
`java.lang.String` | `getIncomingDataHost()`
`java.lang.String` | `getInputDir()`
`int` | `getNumPartialsBackups()`
`int` | `getNumPartitions()`
`int` | `getNumStateArchives()`
`java.lang.String` | `getOutputDir()`
`void` | `getPartialData()`
`void` | `getPartialIncomingData()`
`java.lang.String` | `getPipelineFile()`
`void` | `getPostForgeDimensions()`
`java.lang.String` | `getStateDir()`
`java.lang.String` | `getTempDir()`
`int` | `getWebServicePort()`
`java.lang.String` | `getWsTempDir()`
`protected void` | `initializeEacStub(com.endeca.eac.client.ForgeComponentType stub)`
`boolean` | `isDataReady()`
`boolean` | `isPartialDataReady()`
`void` | `removeBaselineDataReadyFlag()`
`void` | `setArgs(java.util.List<java.lang.String> args)`
`void` | `setCaFile(java.lang.String caFile)`
`void` | `setCertFile(java.lang.String certFile)`
`void` | `setCipher(java.lang.String cipher)`
`void` | `setInputDir(java.lang.String inputDir)`
`void` | `setNumPartitions(int numPartitions)`
`void` | `setOutputDir(java.lang.String outputDir)`
`void` | `setPipelineFile(java.lang.String pipelineFile)`
`void` | `setStateDir(java.lang.String stateDir)`
`void` | `setTempDir(java.lang.String tempDir)`
`void` | `setWebServicePort(int webServicePort)`
`void` | `timestampPartials()`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.BatchComponent
`run, runInParallel`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.Component
`archiveLogDir, cleanDir, constructArchiveLogDir, constructCleanDir, getCustomDirectories, getDirProperties, getHost, getHostId, getLongPropertyValueOrDefault, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNumLogBackups, getNumMissedStatusChecks, getProperties, getProperty, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isDefined, isDefinitionChanged, isFailed, isHotUpdateDefinitionChange, isSkipTestingForFilesDuringCleanup, removeDefinition, setCustomDirectories, setDefinition, setDefinition, setHost, setHostId, setNumMissedStatusChecks, setProperties, start, stop, updateDefinition, updateEacDefinition, updateEacDefinition, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.Provisionable
`getAppDefinitionFromEac, getCachedAppDefinition, getProvisioningPort, invalidateCachedAppDefinition, setCachedAppDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setElementId, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForgeComponent

    public ForgeComponent()

Method Detail

### cleanDirs

    public void cleanDirs()
                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                          java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### cleanCumulativePartials

    public void cleanCumulativePartials()
                                 throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                        com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                        com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                        java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### getData

    public void getData()
                 throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                        com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                        java.lang.InterruptedException,
                        com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Retrieves the application's data and dimensions files to Forge's input directory for processing.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### getPartialData

    public void getPartialData()
                        throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                               com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                               java.lang.InterruptedException,
                               com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### createIncomingDataCopyUtility

    public com.endeca.soleng.eac.toolkit.utility.CopyUtility createIncomingDataCopyUtility()
                                                                                    throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                                                           com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                                                           com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                                                                           java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### removeBaselineDataReadyFlag

    public void removeBaselineDataReadyFlag()
                                     throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### getIncomingData

    public void getIncomingData()
                         throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                java.lang.InterruptedException

  Retrieves incoming data for Forge to process. In this implementation, the data is assumed to be extracted data files found in the directory identified in the custom incomingDataDir directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### getPartialIncomingData

    public void getPartialIncomingData()
                                throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                       com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                       com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                       java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### timestampPartials

    public void timestampPartials()
                           throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                  java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### fetchPartialsToCumulativeDir

    public void fetchPartialsToCumulativeDir()
                                      throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                             com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                             java.lang.InterruptedException,
                                             com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### createConfigCopyUtility

    public com.endeca.soleng.eac.toolkit.utility.CopyUtility createConfigCopyUtility()
                                                                              throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                                                     com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                                                                     java.lang.InterruptedException,
                                                                                     com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### getConfig

    public void getConfig()
                   throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                          java.lang.InterruptedException,
                          com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Retrieves pipeline and config for Forge to process. In this implementation, all files in the specified config directory are retrieved.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### getPostForgeDimensions

    public void getPostForgeDimensions()
                                throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                       com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                       java.lang.InterruptedException,
                                       com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### archiveState

    public void archiveState()
                      throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                             com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                             com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                             java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### isDataReady

    public boolean isDataReady()

### isPartialDataReady

    public boolean isPartialDataReady()
                               throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                      com.endeca.soleng.eac.toolkit.exception.AppControlException,
                                      com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                      com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                      java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.AppControlException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### archiveCumulativePartials

    public void archiveCumulativePartials()
                                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                          java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### buildEacStub

    public com.endeca.eac.client.ComponentType buildEacStub()

  Overrides:
    `buildEacStub` in class `com.endeca.soleng.eac.toolkit.component.Component`

### initializeEacStub

    protected void initializeEacStub(com.endeca.eac.client.ForgeComponentType stub)

### getForgeGroup

    public java.lang.String getForgeGroup()

### getIncomingDataHost

    public java.lang.String getIncomingDataHost()

### getIncomingDataDir

    public java.lang.String getIncomingDataDir()

### getIncomingDataFileName

    public java.lang.String getIncomingDataFileName()

### getWsTempDir

    public java.lang.String getWsTempDir()

### getConfigHost

    public java.lang.String getConfigHost()

### getConfigDir

    public java.lang.String getConfigDir()

### getCumulativePartialsDir

    public java.lang.String getCumulativePartialsDir()

### getNumStateArchives

    public int getNumStateArchives()

### getNumPartialsBackups

    public int getNumPartialsBackups()

### getArgs

    public java.util.List<java.lang.String> getArgs()

### setArgs

    public void setArgs(java.util.List<java.lang.String> args)

### getInputDir

    public java.lang.String getInputDir()

### setInputDir

    public void setInputDir(java.lang.String inputDir)

### getNumPartitions

    public int getNumPartitions()

### setNumPartitions

    public void setNumPartitions(int numPartitions)

### getOutputDir

    public java.lang.String getOutputDir()

### setOutputDir

    public void setOutputDir(java.lang.String outputDir)

### getPipelineFile

    public java.lang.String getPipelineFile()

### setPipelineFile

    public void setPipelineFile(java.lang.String pipelineFile)

### getStateDir

    public java.lang.String getStateDir()

### setStateDir

    public void setStateDir(java.lang.String stateDir)

### getTempDir

    public java.lang.String getTempDir()

### setTempDir

    public void setTempDir(java.lang.String tempDir)

### getCaFile

    public java.lang.String getCaFile()

### setCaFile

    public void setCaFile(java.lang.String caFile)

### getCertFile

    public java.lang.String getCertFile()

### setCertFile

    public void setCertFile(java.lang.String certFile)

### getCipher

    public java.lang.String getCipher()

### setCipher

    public void setCipher(java.lang.String cipher)

### getWebServicePort

    public int getWebServicePort()

### setWebServicePort

    public void setWebServicePort(int webServicePort)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Components (eacComponents)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:23-0500